Bug 1839888 - Review Request: python-pyvex - A Python interface to libVEX and the VEX intermediate representation
Summary: Review Request: python-pyvex - A Python interface to libVEX and the VEX inter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1839887 1839889
TreeView+ depends on / blocked
 
Reported: 2020-05-25 20:32 UTC by W. Michael Petullo
Modified: 2020-06-07 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-04 04:03:35 UTC
Type: ---
mail: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2020-05-25 20:32:36 UTC
Spec URL: https://www.flyn.org/SRPMS/python-pyvex.spec
SRPM URL: https://www.flyn.org/SRPMS/python-pyvex-8.20.1.7-1.fc32.src.rpm
Description:
A Python interface to libVEX and the VEX intermediate representation
Fedora Account System Username: mikep

Comment 1 Fabian Affolter 2020-05-28 09:53:08 UTC
The build requirements are needing an adjustment.

[...]
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('cffi>=1.0.3')
error: Bad exit status from /var/tmp/rpm-tmp.mLi3Wv (%build)
    Bad exit status from /var/tmp/rpm-tmp.mLi3Wv (%build)
RPM build errors:
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 93, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 776, in do_with_status
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), child.returncode)
mockbuild.exception.Error: Command failed: 
[...]

Comment 2 W. Michael Petullo 2020-05-28 20:33:08 UTC
Spec URL: https://www.flyn.org/SRPMS/python-pyvex.spec
SRPM URL: https://www.flyn.org/SRPMS/python-pyvex-8.20.1.7-2.fc32.src.rpm
Description:
A Python interface to libVEX and the VEX intermediate representation
Fedora Account System Username: mikep

- Update BuildRequires
- Fix build with version of make provided in Fedora 33

Comment 3 Fabian Affolter 2020-05-29 08:24:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- Please check the licenses, it looks that some parts are under the GPLv3+, 
  https://github.com/angr/pyvex/blob/master/pyvex_c/LICENSE
  and LGPL
  https://github.com/angr/pyvex/blob/bd35abd4843f1b2b9b2d28bc891ebca3a5856e60/pyvex_c/e4c_lite.h
  beside BSD
- All license files should be mentioned in %license
- "Source0:" should use a macro -> "%{pypi_source}"
- The latest release is 8.20.5.27
- Any possible available egg should be deleted in %prep.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path. -> Python Package
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Unknown or generated",
     "GNU Lesser General Public License", "GPL (v2)", "*No copyright* GPL
     (v2 or later)", "GPL (v2 or later)", "GPL (v2 or later) (with
     incorrect FSF address)", "GNU Lesser General Public License (v2.1 or
     later)". 50 files have unknown license. Detailed output of
     licensecheck in /home/fab/Documents/repos/reviews/1839888-python-
     pyvex/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[!]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pyvex-8.20.1.7-2.fc33.x86_64.rpm
          python-pyvex-8.20.1.7-2.fc33.src.rpm
python3-pyvex.x86_64: W: spelling-error Summary(en_US) libVEX -> lib Vex, lib-vex, libel
python3-pyvex.x86_64: W: spelling-error %description -l en_US libVEX -> lib Vex, lib-vex, libel
python3-pyvex.x86_64: W: unstripped-binary-or-object /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.so
python3-pyvex.x86_64: E: invalid-soname /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.so libpyvex.so
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_basictypes.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_emnote.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_amd64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_arm.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_arm64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_mips32.h
python3-pyvex.x86_64: E: incorrect-fsf-address /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_mips32.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_mips64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_offsets.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_ppc32.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_ppc64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_s390x.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_tilegx.h
python3-pyvex.x86_64: E: incorrect-fsf-address /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_tilegx.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_x86.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_ir.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_s390x_common.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_trc_values.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/pyvex.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.a
python-pyvex.src: W: spelling-error Summary(en_US) libVEX -> lib Vex, lib-vex, libel
python-pyvex.src: W: spelling-error %description -l en_US libVEX -> lib Vex, lib-vex, libel
2 packages and 0 specfiles checked; 3 errors, 24 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
python3-pyvex.x86_64: W: spelling-error Summary(en_US) libVEX -> lib Vex, lib-vex, libel
python3-pyvex.x86_64: W: spelling-error %description -l en_US libVEX -> lib Vex, lib-vex, libel
python3-pyvex.x86_64: W: invalid-url URL: https://github.com/angr/pyvex <urlopen error [Errno -2] Name or service not known>
python3-pyvex.x86_64: W: unstripped-binary-or-object /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.so
python3-pyvex.x86_64: E: invalid-soname /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.so libpyvex.so
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_basictypes.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_emnote.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_amd64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_arm.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_arm64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_mips32.h
python3-pyvex.x86_64: E: incorrect-fsf-address /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_mips32.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_mips64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_offsets.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_ppc32.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_ppc64.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_s390x.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_tilegx.h
python3-pyvex.x86_64: E: incorrect-fsf-address /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_tilegx.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_guest_x86.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_ir.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_s390x_common.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/libvex_trc_values.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/include/pyvex.h
python3-pyvex.x86_64: W: devel-file-in-non-devel-package /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.a
1 packages and 0 specfiles checked; 3 errors, 23 warnings.



Unversioned so-files
--------------------
python3-pyvex: /usr/lib/python3.8/site-packages/pyvex/lib/libpyvex.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pyvex/pyvex-8.20.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : 16d84ffb61d70d735861599d9f8cb21c33a22cbc9852de4acaa6569991a2e1ce
  CHECKSUM(SHA256) upstream package : 16d84ffb61d70d735861599d9f8cb21c33a22cbc9852de4acaa6569991a2e1ce


Requires
--------
python3-pyvex (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    python(abi)
    python3.8dist(archinfo)
    python3.8dist(bitstring)
    python3.8dist(cffi)
    python3.8dist(future)
    python3.8dist(pycparser)
    rtld(GNU_HASH)



Provides
--------
python3-pyvex:
    libpyvex.so()(64bit)
    python-pyvex
    python3-pyvex
    python3-pyvex(x86-64)
    python3.8-pyvex
    python3.8dist(pyvex)
    python3dist(pyvex)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1839888
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Python, Shell-api, Generic
Disabled plugins: Haskell, Ocaml, PHP, SugarActivity, fonts, R, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 W. Michael Petullo 2020-05-29 22:41:30 UTC
Spec URL: https://www.flyn.org/SRPMS/python-pyvex.spec
SRPM URL: https://www.flyn.org/SRPMS/python-pyvex-8.20.5.27-1.fc32.src.rpm
Description:
A Python interface to libVEX and the VEX intermediate representation
Fedora Account System Username: mikep

- New upstream version
- Indicate multiple licenses
- Use macro for Source0
- Force build of egg
- Remove unstreamed patch
- Add GCC 10 patch

Comment 5 Fabian Affolter 2020-05-30 07:32:31 UTC
Issues were addressed, package APPROVED.

Comment 6 Gwyn Ciesla 2020-05-30 15:27:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyvex

Comment 7 Fedora Update System 2020-05-30 16:48:11 UTC
FEDORA-2020-b3b0efb668 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3b0efb668

Comment 8 Fedora Update System 2020-05-31 04:51:41 UTC
FEDORA-2020-b3b0efb668 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b3b0efb668`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3b0efb668

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-06-07 19:47:35 UTC
FEDORA-2020-b3b0efb668 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.